Subject: Re: [PATCH][XFRM] Optimize policy dumping

From: Patrick McHardy <[email-masked]>
Date: Mon, 04 Dec 2006 18:59:31 +0100

jamal wrote:
> Ok, both looked good except for the test of a single entry.
> This was because you would break out of the loop with count of 0.
> The patch against yours would look like something attached for the state
> case. Dont forget there are two spots on the policy side of things;->

You're right, that case was also broken. With your patch on top
it looks all right.

> You can either submit both patches or i could later today. If you do,
> please look at some of the comments i made in the first patch and
> include them. 

I'd prefer if you did it since you're already testing the thing :)